#
# spec file for package heimdal (Version 0.6)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  autoconf db db-devel e2fsprogs-devel libtool openssl openssl-devel readline readline-devel x-devel-packages
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel XFree86-devel XFree86-libs autoconf automake binutils cracklib db-devel e2fsprogs-devel fontconfig fontconfig-devel gcc gdbm gettext libtool openssl-devel perl readline-devel rpm

Name:         heimdal
Summary:      Free Kerberos5 implementation - server
Version:      0.6
Release:      165
Group:        Productivity/Networking/Security
License:      BSD, Other License(s), see package
# ftp://ftp.pdc.kth.se/pub/heimdal/src/ 
Source0:      heimdal-%{version}.tar.bz2
Source1:      kdc.init
Source2:      README.mit-compat
Source3:      krb5.conf
Patch:        heimdal-%{version}.dif
Patch1:       heimdal-%{version}-db4.patch
Patch3:       heimdal-%{version}-security2.patch
Patch4:       heimdal-%{version}-security3.patch
Patch5:       heimdal-%{version}-mit-compat.patch
Patch6:       heimdal-%{version}-automake.patch
Patch8:       heimdal-%{version}-gcc.patch
Patch9:       heimdal-%{version}-afs-paths.patch
Patch10:      heimdal-%{version}-acl-parse.patch
Patch11:      heimdal-0.6-com_err_check.patch
Patch12:      heimdal-0.6-0.6.1-transited-check.patch
Patch13:      heimdal-0.6-ftp.patch
Patch14:      telnet-bsd-1.0-temp-increase+slc-env-overflow.diff
Patch15:      heimdal-%{version}-telnet-overflow.patch
URL:          http://www.pdc.kth.se/heimdal/
Requires:     heimdal-lib heimdal-tools
PreReq:       %insserv_prereq %fillup_prereq %install_info_prereq
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
%package      devel
Summary:      Include Files and Libraries mandatory for Development
Autoreqprov:  on
Requires:     heimdal e2fsprogs-devel
Group:        Development/Libraries/C and C++
Prefix:       %{_prefix}
%package      lib
Summary:      Free Kerberos5 implementation - libraries
Autoreqprov:  on
Group:        System/Libraries
PreReq:       /usr/bin/sed /usr/bin/grep /bin/mv /usr/bin/tr
Prefix:       %{_prefix}
%package      tools
Summary:      Free Kerberos5 Implementation - Client Side Tools
Autoreqprov:  on
Group:        Productivity/Networking/Security
Prefix:       %{_prefix}

%description
Heimdal is a free implementation of Kerberos5 available from
http://www.pdc.kth.se/src/heimdal, also the home of KTH-Krb -- a free
implementation of Kerberos4. Heimdal is maintainedand produced in
Sweden (outside the US!), is in the public domain in the sense of the
Wassenaar agreement, and is freely exportable.



Authors:
--------
    heimdal@pdc.kth.se


%description devel
Heimdal is a free implementation of Kerberos5 available from
http://www.pdc.kth.se/src/heimdal-devel, also the home of KTH-Krb -- a
likewise free implementation of Kerberos4. Heimdal is maintained and
produced in Sweden (outside the US!), is in the public domain in the
sense of the Wassenaar agreement, and is freely exportable.



Authors:
--------
    heimdal-devel@pdc.kth.se


%description lib
Heimdal is a free implementation of Kerberos5 available from
http://www.pdc.kth.se/src/heimdal-devel, also the home of KTH-Krb -- a
free implementation of Kerberos4. Heimdal is maintained and produced in
Sweden (outside the US!), is in the public domain in the sense of the
Wassenaar agreement, and is freely exportable.



Authors:
--------
    heimdal@pdc.kth.se


%description tools
Heimdal is a free implementation of Kerberos5 available from
http://www.pdc.kth.se/src/heimdal, also the home of KTH-Krb -- a
likewise free implementation of Kerberos4. Heimdal is main- tained and
produced in Sweden (outside the US!), is in the public domain in the
sense of the Wassenaar agreement, and is thus freely exportable.



Authors:
--------
    heimdal@pdc.kth.se

%prep
%setup -q
%patch
%patch1 -p 1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6
%patch8
%patch9
%patch10
%patch11
%patch12 -p1
%patch13
%patch14
%patch15 -p1

%build
%{suse_update_config}
autoreconf --force --install
# building with openldap support does not work right now because
# autobuild cannot handle circular dependencies such as
# libhdb -> libldap -> libsasl -> libgssapi -> libhdb
#with_openldap="--with-openldap=/usr"
#
CFLAGS="$RPM_OPT_FLAGS -DOPENSSL_DES_LIBDES_COMPATIBILITY" \
./configure --enable-shared --prefix=/usr/lib/heimdal \
	--with-x --mandir=%{_mandir} \
	--libdir=%{_libdir} \
	--infodir=%{_infodir} --libexecdir=/usr/lib/heimdal/sbin \
	--includedir=/usr/include/heimdal \
	--with-readline-include=/usr/include/readline \
	--with-readline-lib=/usr/lib \
	$with_openldap
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
mkdir -p $RPM_BUILD_ROOT/etc/init.d
mkdir -p $RPM_BUILD_ROOT/usr/include/heimdal
mkdir -p $RPM_BUILD_ROOT/usr/lib/heimdal
mkdir -p $RPM_BUILD_ROOT/var/heimdal
mkdir -p $RPM_BUILD_ROOT/sbin
make DESTDIR=$RPM_BUILD_ROOT install
rm -f $RPM_BUILD_ROOT/usr/%{_lib}/libss*
rm -rf $RPM_BUILD_ROOT/usr/lib/heimdal/include/ss
install -m 755 %{S:1} ${RPM_BUILD_ROOT}/etc/init.d/kdc
install -m 644 krb5.conf ${RPM_BUILD_ROOT}/etc
ln -sf ../etc/init.d/kdc ${RPM_BUILD_ROOT}/sbin/rckdc
# Create some symlinks for essential stuff
mkdir -p mkdir -p $RPM_BUILD_ROOT/usr/bin
for x in afslog kauth kdestroy kf kgetcred kinit klist kpasswd verify_krb5_conf krb5-config; do
	ln -s ../lib/heimdal/bin/$x $RPM_BUILD_ROOT/usr/bin/$x
done
ln -s ../lib/heimdal/bin/pagsh $RPM_BUILD_ROOT/usr/bin/pagsh_krb 
mkdir -p mkdir -p $RPM_BUILD_ROOT/usr/sbin
for x in hprop hpropd ipropd-master ipropd-slave kadmin kfd kstash ktutil; do
	ln -s ../lib/heimdal/sbin/$x $RPM_BUILD_ROOT/usr/sbin/$x
done
cp %SOURCE2 .
install -m 644 %SOURCE3 $RPM_BUILD_ROOT/etc/krb5.conf
rm -rf $RPM_BUILD_ROOT/%{_mandir}/cat*
rm $RPM_BUILD_ROOT/%{_mandir}/man*/{ftp.1,rsh.1,telnet.1,login.1,ftpusers.5,login.access.5,ftpd.8,popper.8,rshd.8,telnetd.8}*

%post lib
if grep -q "^[[:blank:]]*gss_mit_compat" etc/krb5.conf; then
  echo "removing obsolete option gss_mit_compat from etc/krb5.conf, see README.mit-compat"
  VALUE=`grep "^[[:blank:]]*gss_mit_compat" etc/krb5.conf | \
         sed -e "s|^[[:blank:]]*gss_mit_compat[[:blank:]]*=[[:blank:]]*\([a-zA-Z]*\).*|\1|" | tr A-Z a-z`
  sed -e "s|^[[:blank:]]*\(gss_mit_compat.*\)$|#\1 # THIS OPTION IS OBSOLETE, SEE README.mit-compat|" etc/krb5.conf >etc/krb5.conf.new
  if test "x$VALUE" = "xfalse" && ! grep -q "^[[:blank:]]*\[gssapi\]" etc/krb5.conf; then
    echo >> etc/krb5.conf.new
    echo "[gssapi]" >> etc/krb5.conf.new
    echo "	broken_des3_mic = */*" >> etc/krb5.conf.new
  fi
  mv -f etc/krb5.conf.new etc/krb5.conf
fi
%run_ldconfig

%post
%{fillup_and_insserv kdc}

%post tools
%install_info --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%preun
%stop_on_removal kdc

%postun
%restart_on_update kdc
%{insserv_cleanup}

%postun tools
%install_info_delete --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%files
%defattr(444,root,root,755)
%attr(755,root,root) /etc/init.d/kdc
%attr(755,root,root) /sbin/rckdc
%attr(755,root,root) %dir /usr/lib/heimdal
%attr(755,root,root) %dir /usr/lib/heimdal/bin
%attr(555,root,root) /usr/lib/heimdal/bin/ftp
%attr(555,root,root) /usr/lib/heimdal/bin/kx
%attr(555,root,root) /usr/lib/heimdal/bin/login
%attr(555,root,root) /usr/lib/heimdal/bin/mk_cmds
%attr(555,root,root) /usr/lib/heimdal/bin/otp
%attr(555,root,root) /usr/lib/heimdal/bin/otpprint
%attr(555,root,root) /usr/lib/heimdal/bin/pfrom
%attr(555,root,root) /usr/lib/heimdal/bin/rcp
%attr(555,root,root) /usr/lib/heimdal/bin/rsh
%attr(555,root,root) /usr/lib/heimdal/bin/rxtelnet
%attr(555,root,root) /usr/lib/heimdal/bin/rxterm
%attr(555,root,root) /usr/lib/heimdal/bin/string2key
%attr(555,root,root) /usr/lib/heimdal/bin/su
%attr(555,root,root) /usr/lib/heimdal/bin/telnet
%attr(555,root,root) /usr/lib/heimdal/bin/tenletxr
%attr(555,root,root) /usr/lib/heimdal/bin/xnlock
%attr(755,root,root) %dir /usr/lib/heimdal/sbin
%attr(555,root,root) /usr/lib/heimdal/sbin/dump_log
%attr(555,root,root) /usr/lib/heimdal/sbin/ftpd
%attr(555,root,root) /usr/lib/heimdal/sbin/hprop
%attr(555,root,root) /usr/lib/heimdal/sbin/hpropd
%attr(555,root,root) /usr/lib/heimdal/sbin/ipropd-master
%attr(555,root,root) /usr/lib/heimdal/sbin/ipropd-slave
%attr(555,root,root) /usr/lib/heimdal/sbin/kadmind
%attr(555,root,root) /usr/lib/heimdal/sbin/kdc
%attr(555,root,root) /usr/lib/heimdal/sbin/kpasswdd
%attr(555,root,root) /usr/lib/heimdal/sbin/kstash
%attr(555,root,root) /usr/lib/heimdal/sbin/kxd
%attr(555,root,root) /usr/lib/heimdal/sbin/popper
%attr(555,root,root) /usr/lib/heimdal/sbin/push
%attr(555,root,root) /usr/lib/heimdal/sbin/replay_log
%attr(555,root,root) /usr/lib/heimdal/sbin/rshd
%attr(555,root,root) /usr/lib/heimdal/sbin/telnetd
%attr(555,root,root) /usr/lib/heimdal/sbin/truncate_log
%attr(555,root,root) /usr/sbin/hprop
%attr(555,root,root) /usr/sbin/hpropd
%attr(555,root,root) /usr/sbin/ipropd-master
%attr(555,root,root) /usr/sbin/ipropd-slave
%attr(555,root,root) /usr/sbin/kstash
%attr(755,root,root) %dir /var/heimdal
%doc %{_mandir}/man1/kx.1.gz
%doc %{_mandir}/man1/otp.1.gz
%doc %{_mandir}/man1/otpprint.1.gz
%doc %{_mandir}/man1/pfrom.1.gz
%doc %{_mandir}/man1/rxtelnet.1.gz
%doc %{_mandir}/man1/rxterm.1.gz
%doc %{_mandir}/man1/tenletxr.1.gz
%doc %{_mandir}/man1/xnlock.1.gz
%doc %{_mandir}/man8/hprop.8.gz
%doc %{_mandir}/man8/hpropd.8.gz
%doc %{_mandir}/man8/kadmind.8.gz
%doc %{_mandir}/man8/kdc.8.gz
%doc %{_mandir}/man8/kpasswdd.8.gz
%doc %{_mandir}/man8/kstash.8.gz
%doc %{_mandir}/man8/kxd.8.gz
%doc %{_mandir}/man8/push.8.gz
%doc %{_mandir}/man8/string2key.8.gz
%doc ChangeLog* NEWS README TODO doc etc README.mit-compat

%files tools
%defattr(444,root,root,755)
%attr(755,root,root) %dir /usr/lib/heimdal
%attr(755,root,root) %dir /usr/lib/heimdal/*bin
%doc %{_mandir}/man5/krb5.conf.5.gz
%doc %{_mandir}/man1/kauth.1.gz
%doc %{_mandir}/man1/kdestroy.1.gz
%doc %{_mandir}/man1/kf.1.gz
%doc %{_mandir}/man1/kgetcred.1.gz
%doc %{_mandir}/man1/kinit.1.gz
%doc %{_mandir}/man1/klist.1.gz
%doc %{_mandir}/man1/kpasswd.1.gz
%doc %{_mandir}/man1/afslog.1.gz
%doc %{_mandir}/man8/kadmin.8.gz
%doc %{_mandir}/man8/kerberos.8.gz
%doc %{_mandir}/man8/kfd.8.gz
%doc %{_mandir}/man8/ktutil.8.gz
%doc %{_mandir}/man8/verify_krb5_conf.8.gz
%doc %{_infodir}/heimdal.info*
%attr(555,root,root) /usr/lib/heimdal/bin/afslog
%attr(555,root,root) /usr/lib/heimdal/bin/kauth
%attr(555,root,root) /usr/lib/heimdal/bin/kdestroy
%attr(555,root,root) /usr/lib/heimdal/bin/kf
%attr(555,root,root) /usr/lib/heimdal/bin/kgetcred
%attr(555,root,root) /usr/lib/heimdal/bin/kinit
%attr(555,root,root) /usr/lib/heimdal/bin/klist
%attr(555,root,root) /usr/lib/heimdal/bin/kpasswd
%attr(555,root,root) /usr/lib/heimdal/bin/pagsh
%attr(555,root,root) /usr/lib/heimdal/bin/verify_krb5_conf
%attr(555,root,root) /usr/lib/heimdal/sbin/kadmin
%attr(555,root,root) /usr/lib/heimdal/sbin/kfd
%attr(555,root,root) /usr/lib/heimdal/sbin/ktutil
%attr(555,root,root) /usr/bin/afslog
%attr(555,root,root) /usr/bin/kauth
%attr(555,root,root) /usr/bin/kdestroy
%attr(555,root,root) /usr/bin/kf
%attr(555,root,root) /usr/bin/kgetcred
%attr(555,root,root) /usr/bin/kinit
%attr(555,root,root) /usr/bin/klist
%attr(555,root,root) /usr/bin/kpasswd
%attr(555,root,root) /usr/bin/pagsh_krb
%attr(555,root,root) /usr/bin/verify_krb5_conf
%attr(555,root,root) /usr/sbin/kadmin
%attr(555,root,root) /usr/sbin/kfd
%attr(555,root,root) /usr/sbin/ktutil

%files devel
%defattr(-,root,root)
/usr/include/heimdal
%attr(755,root,root) %dir /usr/lib/heimdal
%attr(755,root,root) %dir /usr/lib/heimdal/bin
%attr(555,root,root) /usr/bin/krb5-config
%attr(555,root,root) /usr/lib/heimdal/bin/krb5-config
%doc %{_mandir}/man1/krb5-config.1.gz
#%{_libdir}/lib45.a
%{_libdir}/libasn1.a
%{_libdir}/libasn1.la
%{_libdir}/libasn1.so
%{_libdir}/libeditline.a
%{_libdir}/libeditline.la
%{_libdir}/libgssapi.a
%{_libdir}/libgssapi.la
%{_libdir}/libgssapi.so
%{_libdir}/libhdb.a
%{_libdir}/libhdb.la
%{_libdir}/libhdb.so
%{_libdir}/libkadm5clnt.a
%{_libdir}/libkadm5clnt.la
%{_libdir}/libkadm5clnt.so
%{_libdir}/libkadm5srv.a
%{_libdir}/libkadm5srv.la
%{_libdir}/libkadm5srv.so
%{_libdir}/libkafs.a
%{_libdir}/libkafs.la
%{_libdir}/libkafs.so
%{_libdir}/libkrb5.a
%{_libdir}/libkrb5.la
%{_libdir}/libkrb5.so
%{_libdir}/libotp.a
%{_libdir}/libotp.la
%{_libdir}/libotp.so
%{_libdir}/libroken.a
%{_libdir}/libroken.la
%{_libdir}/libroken.so
%{_libdir}/libsl.a
%{_libdir}/libsl.la
%{_libdir}/libsl.so
# %{_libdir}/libss.a
# %{_libdir}/libss.la
# %{_libdir}/libss.so
%doc %{_mandir}/man3/*

%files lib
%defattr(-,root,root)
%config(noreplace) /etc/krb5.conf
%{_libdir}/libasn1.so.6
%{_libdir}/libasn1.so.6.0.1
%{_libdir}/libgssapi.so.1
%{_libdir}/libgssapi.so.1.3.0
%{_libdir}/libhdb.so.7
%{_libdir}/libhdb.so.7.0.6
%{_libdir}/libkadm5clnt.so.4
%{_libdir}/libkadm5clnt.so.4.2.4
%{_libdir}/libkadm5srv.so.7
%{_libdir}/libkadm5srv.so.7.0.6
%{_libdir}/libkafs.so.0
%{_libdir}/libkafs.so.0.4.0
%{_libdir}/libkrb5.so.17
%{_libdir}/libkrb5.so.17.2.0
%{_libdir}/libotp.so.0
%{_libdir}/libotp.so.0.1.4
%{_libdir}/libroken.so.16
%{_libdir}/libroken.so.16.0.2
%{_libdir}/libsl.so.0
%{_libdir}/libsl.so.0.1.2
# %{_libdir}/libss.so.0
# %{_libdir}/libss.so.0.1.4

%changelog -n heimdal
* Wed Jun 22 2005 - nadvornik@suse.cz
- fixed overflow in getterminaltype in telnetd [#91593]
* Thu Mar 31 2005 - nadvornik@suse.cz
- Fix SLC+ENV overflow in telnet [#75256]
* Wed Sep 15 2004 - nadvornik@suse.cz
- fixed ftpd vulnerability CAN-2004-0794 [#45230]
* Fri Apr 16 2004 - nadvornik@suse.cz
- fixed cross-realm vulnerability [#37079]
* Thu Sep 18 2003 - ro@suse.de
- info-file is in tools, move pre/postun for info page
  to same package
* Thu Sep 18 2003 - nadvornik@suse.cz
- fixed file conflict between heimdal and heimdal-tools
* Thu Sep 11 2003 - nadvornik@suse.cz
- added e2fsprogs-devel to requires of heimdal-devel [#30397]
* Thu Aug 14 2003 - nadvornik@suse.cz
- used restart_on_update and stop_on_removal macros
* Fri Aug 01 2003 - nadvornik@suse.cz
- fixed filelist conflicts
- added default krb5.conf
* Thu Jul 31 2003 - pthomas@suse.de
- Remove the patch for kadm5_err.et as the bug is in e2fsprogs
  compile_et.
- Replace the patch for cf/check-compile-et.m4 by one sent
  from the upstream heimdal maintainers.
- Make the check abort configuration if the installed compile_et
  isn't usable for heimdal.
- Correct spelling for README.mit-compat
* Wed Jul 30 2003 - pthomas@suse.de
- Remove the reason for heimdal-devel and e2fsprogs-devel conflicting:
- Use libcom_err from e2fsprogs.
- Fix the autoconf test for whether com_err is usable.
- Fix kadm5_err.et for e2fsprogs compile_et.
- Don't install libss and associated headers.
* Tue Jun 17 2003 - nadvornik@suse.cz
- updated to 0.6
- better fix for MIT KRB5 incompatibility
- improved afs support
- krb4 libs are no longer needed for afs support
* Sat Jun 14 2003 - kukuk@suse.de
- Add missing directories to filelist
* Wed May 28 2003 - nadvornik@suse.cz
- remove/install unpackaged files from buildroot
* Mon May 12 2003 - nadvornik@suse.cz
- fixed to compile with new libdb
* Mon Apr 28 2003 - poeml@suse.de
- merge the just added postun into the one that was already there
* Thu Apr 24 2003 - ro@suse.de
- fix install_info --delete call and move from preun to postun
* Fri Apr 18 2003 - nadvornik@suse.cz
- used RPM_OPT_FLAGS
- made sure that OPENSSL_DES_LIBDES_COMPATIBILITY is defined everywhere
* Mon Apr 14 2003 - nadvornik@suse.cz
- updated to 0.5.2
- enabled krb4 and AFS support
- created subpackage heimdal-tools
- fixed acl parsing [#26021]
* Fri Feb 07 2003 - ro@suse.de
- added install_info macros
* Sun Jan 19 2003 - sbose@suse.de
- Fixed buffer overflow in admin/copy.c.
* Mon Dec 02 2002 - pthomas@suse.de
- Guard declaration of variable in rk_CHECK_VAR.
* Fri Nov 29 2002 - okir@suse.de
- Properly detect h_errno in configure
- Fixed various errors caused by OpenSSL 0.9.7 upgrade
* Thu Nov 21 2002 - ro@suse.de
- current automake doesn't seem to like EXTRA_foo_SOURCES
* Tue Sep 24 2002 - okir@suse.de
- Fix GSSAPI incompatbility with MIT krb5
* Mon Sep 16 2002 - okir@suse.de
- another buffer overflow; this time in gss_get_mic
* Wed Sep 04 2002 - okir@suse.de
- fixed numerous issues found by SuSE audit
* Mon Sep 02 2002 - okir@suse.de
- added /usr/bin/kdestroy symlink (#18468)
* Wed Aug 21 2002 - okir@suse.de
- removed s bits from su, otp (#18104)
- security fix for resolver problem
* Tue Aug 13 2002 - okir@suse.de
- added PreReq for insserv invocations in %%post*
- fixed symbolic links for /usr/sbin/*
* Sat Jul 27 2002 - adrian@suse.de
- add %%run_ldconfig
* Tue Jul 23 2002 - okir@suse.de
- kdc init script now starts kpasswdd and kadmind
- created symlinks in /usr/{,s}bin for essential commands:
  kinit klist kpasswd kadmin kstash ktutil
* Mon Apr 08 2002 - schwab@suse.de
- Readd accidentally lost diff hunk in last change.
- Reenable buildroot.
* Wed Apr 03 2002 - schwab@suse.de
- Update for new autoconf.
* Tue Feb 19 2002 - choeger@suse.de
- Bugfix: removed --without-berkeley-db
  fixed lib/otp/Makefile.am
* Mon Feb 18 2002 - ro@suse.de
- updated kdc init-script (#13305)
* Wed Feb 13 2002 - pthomas@suse.de
- Move section 3 manpages to -devel package.
- Update URL for Heimdal home page
- Update list of man pages.
- heimdal-devel now conflicts with e2fsprogs-devel.
  This is a temporary solution for bug #13145.
* Mon Feb 04 2002 - sbose@suse.de
- updated to version 0.4e
- moved libraries from /usr/lib/heimdal/lib to /usr/lib
- added configure option --without-berkeley-db, because build
  failed with BDB
* Tue Jan 15 2002 - egmont@suselinux.hu
- removed colons from startup/shutdown messages
* Mon Jan 14 2002 - ro@suse.de
- removed START_KDC
* Sun Nov 18 2001 - ro@suse.de
- fix for automake 1.5 and run automake
* Fri Aug 24 2001 - schwab@suse.de
- Update libtool configuration.
- Don't use BuildRoot due to problem with libtool relinking.
* Fri Aug 24 2001 - sbose@suse.de
- updated to version 0.4d
- supplied libtool is not able to build shared libraries, spec file
  copies the local one to fix it
* Tue Jun 12 2001 - bk@suse.de
- add suse_update_config, needed for s390x
* Tue May 08 2001 - mfabian@suse.de
- bzip2 sources
* Mon Apr 30 2001 - schwab@suse.de
- Add readline, readline-devel, db, db-devel to neededforbuild.
- Configure with system readline.
- Compile with -O0 on ia64.
* Sun Apr 29 2001 - kukuk@suse.de
- Remove executeable flag from config files [Bug #7407]
* Mon Apr 23 2001 - choeger@suse.de
- splitted into -lib subpackage
- removed --with-openldap
- renamed specfile
- fixed init-script
- added rclink
- added /var/heimdal directory
- added /etc/krb5.conf to -lib subpackage
- added -lib to requires
* Thu Apr 19 2001 - choeger@suse.de
- splitted into -devel
- changed path from /opt to /urs/lib
- fixed location of manpages/infofiles
- changed location of includes and libs
- removed conflicting manpages
* Tue Apr 10 2001 - mge@suse.de
- changed %%post-script and kdc.init
* Tue Apr 10 2001 - ro@suse.de
- fixed RPM Group to Networking/Security
* Tue Apr 10 2001 - sbose@suse.de
- initial version 0.3e
